{
    "name": "new-immo-group/messenger-transport-sqs-iam",
    "description": "aws connector handling ini IAM files to access IAM roles",
    "type": "library",
    "license": "mit",
    "minimum-stability": "stable",
    "prefer-stable": true,
    "require": {
        "php": ">=8.1",
        "ext-json": "*",
        "aws/aws-sdk-php": "^3",
        "psr/log": "^1.1",
        "symfony/messenger": ">=6.0"
    },
    "require-dev": {
        "ext-ctype": "*",
        "ext-iconv": "*",
        "nig-devteam/messenger-serializers": "^1.5",
        "g1a/composer-test-scenarios": "^3.2",
        "maglnet/composer-require-checker": "^4.2",
        "friendsofphp/php-cs-fixer": "^3",
        "phpstan/phpstan": "^1.9",
        "roave/security-advisories": "dev-latest",
        "phpunit/phpunit": "^9.5",
        "symfony/console": ">=6.0",
        "symfony/dotenv": ">=6.0",
        "symfony/flex": ">=2.0",
        "symfony/framework-bundle": ">=6.0",
        "symfony/phpunit-bridge": ">=6.0",
        "symfony/runtime": ">=6.0",
        "symfony/serializer": ">=6.0",
        "symfony/yaml": ">=6.0"
    },
    "config": {
        "platform": {
            "php": "8.1"
        },
        "allow-plugins": {
            "composer/package-versions-deprecated": true,
            "symfony/flex": true,
            "symfony/runtime": true,
            "g1a/composer-test-scenarios": true
        },
        "optimize-autoloader": true,
        "preferred-install": {
            "*": "dist"
        },
        "sort-packages": true,
        "vendor-dir": "../../vendor"
    },
    "autoload": {
        "psr-4": {
            "NewImmoGroup\\AwsBroker\\": "../../src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "../../tests/"
        }
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "extra": {
        "symfony": {
            "allow-contrib": false,
            "require": ">=5.4|>=6.0"
        }
    },
    "scripts": {
        "fixer": "@php php-cs-fixer fix -vv",
        "checker": "@php composer-require-checker",
        "phpstan": "@php phpstan analyze",
        "phpunit": "@php phpunit",
        "test": [
            "@fixer",
            "@checker",
            "@phpstan",
            "@phpunit"
        ],
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        }
    }
}
